import { handleResponse, handleError } from "../../api/apiUtils";
const baseUrl = process.env.REVERSE_PROXY_API_URL + "/system";

const getSystemDateTime = () =>
  fetch(`${baseUrl}/datetime`).then(handleResponse).catch(handleError);

const getSystemVersion = () =>
  fetch(`${baseUrl}/version`).then(handleResponse).catch(handleError);

const getReleaseNotes = () =>
  fetch(`${baseUrl}/release-notes`).then(handleResponse).catch(handleError);

export default {
  getSystemDateTime,
  getSystemVersion,
  getReleaseNotes
};
